package kandata.launcher;

import java.net.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.awt.image.*;

class ApplicationResources {

	/**
	 * アイコンを取得します.
	 * Imageを取得するには、loadIcon(fname).getImage()とします。
	 */
	public static ImageIcon loadIcon(String fname) {
		URL url = ApplicationResources.class.getResource("/resources/"+fname);
		if (url != null)
			return new ImageIcon(url);
		System.out.println("null !!!");
		return null;
	}
	/** 画像を取得します. */
	public static Image loadImage(String fname) {
		ImageIcon icon = loadIcon(fname);
		if (icon == null) return null;
		return icon.getImage();
	}

	public static URL getUrl(String fname) {
		return ApplicationResources.class.getResource("/resources/"+fname);
	}
}
